Summary:	A security tool which acts as a wrapper for TCP daemons.
Name:		tcpd
Group:		System Environment/Daemons
License:	Distributable
Version:	7.6
Release:	3
Source0:	ftp://ftp.porcupine.org/pub/security/tcp_wrappers_%{version}.tar.gz
Patch0:		tcpw7.2-config.patch
Patch1:		tcpw7.2-setenv.patch
Patch2:		tcpw7.6-netgroup.patch
Patch3:		tcp_wrappers-7.6-build-so-gd-1.diff
Patch4:		tcp_wrappers-7.6-no-extern-malloc-gd-1.diff
Obsoletes:	tcp_wrappers
Provides:	tcp_wrappers
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The tcpd package provides small daemon programs which can
monitor and filter incoming requests for systat, finger, FTP, telnet,
rlogin, rsh, exec, tftp, talk and other network services.

%files
  %defattr(0444,root,root,0555)
  %doc BLURB CHANGES README* DISCLAIMER Banners.Makefile

  %attr(0511,root,root)	%{_sbindir}/tcpd
  %attr(0511,root,root)	%{_sbindir}/tcpdchk
  %attr(0511,root,root)	%{_sbindir}/tcpdmatch
  %attr(0511,root,root)	%{_sbindir}/try-from

%package -n libwrap
Summary:	Static library for linking with TCP wrappers.
Group:		Development/Libraries

%description -n libwrap
This package provides the libwrap shared libraries.

%files -n libwrap
  %defattr(0444,root,root,0555)
  %attr(0555,root,root)	/%{_lib}/libwrap.so.*

%package -n libwrap-devel
Summary:	Header and libraries for linking with TCP wrappers.
Group:		Development/Libraries
Requires:	libwrap = %{version}

%description -n libwrap-devel
This package provides the libwrap development libraries and headers.

%files -n libwrap-devel
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man[358]/*

  %attr(0444,root,root)	%{_includedir}/tcpd.h
  %attr(0444,root,root)	%{_libdir}/libwrap.a
  %attr(0555,root,root)	%{_libdir}/libwrap.so

%prep
%setup -q -n tcp_wrappers_%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
  make linux

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_lib}
  mkdir -p $RPM_BUILD_ROOT/%{_libdir}
  mkdir -p $RPM_BUILD_ROOT/%{_includedir}
  mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{3,5,8}

  # Install man pages.
  cp hosts_access.3 $RPM_BUILD_ROOT/%{_mandir}/man3
  cp hosts_access.5 hosts_options.5 $RPM_BUILD_ROOT/%{_mandir}/man5
  cp tcpd.8 tcpdchk.8 tcpdmatch.8 $RPM_BUILD_ROOT/%{_mandir}/man8
  ln -sf hosts_access.5 $RPM_BUILD_ROOT/%{_mandir}/man5/hosts.allow.5
  ln -sf hosts_access.5 $RPM_BUILD_ROOT/%{_mandir}/man5/hosts.deny.5

  # Install libraries.
  install tcpd.h                  $RPM_BUILD_ROOT/%{_includedir}
  install libwrap.a               $RPM_BUILD_ROOT/%{_libdir}
  install shared/libwrap.so.0.7.6 $RPM_BUILD_ROOT/%{_lib}

  # Install binaries.
  install tcpd $RPM_BUILD_ROOT/%{_sbindir}
  install tcpdchk $RPM_BUILD_ROOT/%{_sbindir}
  install tcpdmatch $RPM_BUILD_ROOT/%{_sbindir}
  install try-from $RPM_BUILD_ROOT/%{_sbindir}

  # Strip binaries.
  for i in tcpd tcpdchk try-from
  do
    strip $RPM_BUILD_ROOT/%{_sbindir}/$i
  done

  # Fix shared library symlinks.
  cd $RPM_BUILD_ROOT/%{_lib}
  ln -sf libwrap.so.0.7.6 libwrap.so.0

  cd $RPM_BUILD_ROOT/%{_libdir}
  ln -sf ../../%{_lib}/libwrap.so.0.7.6 libwrap.so

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 7.6, Release 3
  - Fix permissions on shared libs.

* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 7.6, Release 2
  - Add support for x86_64 by removing hard-coded /lib/.

* Tue Jun 30 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 7.6, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
